Texa DeskDevelopers

Texa Desk Application API · Integrations

List all the Integrations

GET/api/v1/accounts/{account_id}/integrations/apps

Get the details of all Integrations available for the account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Responses

200

Success

payloadarray of object

Array of Integration apps

payload[].idstring

The ID of the integration

payload[].namestring

The name of the integration

payload[].descriptionstring

The description about the team

payload[].hook_typestring

Whether the integration is an account or inbox integration

payload[].enabledboolean

Whether the integration is enabled for the account

payload[].allow_multiple_hooksboolean

Whether multiple hooks can be created for the integration

payload[].hooksarray of object

If there are any hooks created for this integration

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Url not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring